Bug 117100 - five buglets
five buglets
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-28 09:31 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 13:25:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-28 09:31:12 EST
Description of problem:

I just tried to compile Core2 Test1 package vnc-4.0-0.beta4.8

The compiler said

1.

fbbits.h(827): remark #592: variable "bits" is used before its value
is set

The source code is

    bits += bitsStride * yoff + xoff * MUL;

It is not wise to add onto a local variable which hasn't been initialised.
Suggest init bits before first use.

2.

Pci.c(1313): warning #175: subscript out of range

The source code is

    if (data[0x14] >= PCI_BIOS_OTHER)

but

    unsigned char data[16];

Suggest make data array big enough.

3.

Pci.c(1316): warning #175: subscript out of range
Pci.c(1319): warning #175: subscript out of range
Pci.c(1324): warning #175: subscript out of range
Pci.c(1324): warning #175: subscript out of range

Duplicates.

4.

pm2v_dac.c(225): warning #175: subscript out of range

The source code is

        pReg->DacRegs[PM2VDACRDDClk0PreScale] = m;

5.

pm2v_dac.c(226): warning #175: subscript out of range
pm2v_dac.c(227): warning #175: subscript out of range
pm2v_dac.c(333): warning #175: subscript out of range
pm2v_dac.c(334): warning #175: subscript out of range
pm2v_dac.c(335): warning #175: subscript out of range
pm2v_dac.c(401): warning #175: subscript out of range
pm2v_dac.c(403): warning #175: subscript out of range
pm2v_dac.c(405): warning #175: subscript out of range

Duplicates ?



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mike A. Harris 2004-03-05 13:35:09 EST
What compiler are you using to generate these errors/warnings?

Intel icc?

It might be useful for me to set up an automated build environment
for rebuild testing with tinderbox using icc, or whatever you're
using.

Thanks in advance!

Comment 2 d.binderman 2004-03-06 04:08:39 EST
>What compiler are you using to generate these errors/warnings?

>Intel icc?

Yes, version 8.0 with compiler flag -Wall.

The compiler does produce an awful lot more warnings than
gcc, but I assume you can use "grep -v" to throw away the
ones you are not interested in.

It is useful that Intel CC numbers each of it's error messages
for fast grepping.

>It might be useful for me to set up an automated build environment
>for rebuild testing with tinderbox using icc, or whatever you're
>using.

I'm not sure what tinderbox is, but if I can be any further use,
then please let me know.


Comment 5 Mike A. Harris 2004-10-12 13:25:57 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.